Subject: Re: [PATCH V2] bcm43xx: Fix failure to deliver PCI-E interrupts

From: Larry Finger <[email-masked]>
Date: Sun, 14 Jan 2007 17:54:30 -0600

evan foss wrote:
> Results so far....
> In a word Wow. It still doesn't work but I suspect that is could just
> be my configuration. Power levels are not being reported correctly all
> the time iwlist works but nothing else to my knowledge. I remember
> there being talk of power level reporting patches. Is there anything I
> can try adding. For the first time in a long time it does associate
> with AP's but I can't dhcpcd eth1. I am using an access point next
> door. Mine is down. I will test it with a good one at school on
> Tuesday.
> 
> ####To recap I am on...
> MFG: Compaq V3000 (V3019US)
> CPU: AMD Turion 64 x2
> Kernel: linux-2.6.18-gentoo-r2
> 	I have SMP on and I am in 64 bit.
> BCM Chip: BCM4311
> BCM FW: V3 Sorry I don't recall exactly what version
> 
> ####Patches used
> patch_2.6.18.1_fix_leds
> patch_2.6.18.1_for_PCI-E
> radio_hwenable_for_2.6.18

To get signal levels reported correctly, you also need patch_2.6.18.1_signal_quality.

> ####The following work
> ifconfig eth1 up
> iwconfig eth1 essid NAME channel #
> kismet -c bcm43xx,eth1,bcm43xx
> iwlist eth1 scan	<-the power levels are reported here
> 
> ####The following don't work
> iwconfig		<-the power levels are reported as always being 0
> kismet			<-no power levels are reported
> LED			<-always off (I have a slider switch on the front to turn radio on/off)

This one needs watching. The LED has worked on previous computers.

> dhcpcd eth1		<-low transmit power???

Most likely. How far are you from the AP?

> #####The following don't work but might be my fault (I will get back
> to you later on these)
> dhcpcd eth1
> 
> #####example bad iwconfig power level reporting
> eth1      IEEE 802.11b/g  ESSID:"linksys"  Nickname:"Broadcom 4311"
>           Mode:Managed  Frequency=2.437 GHz  Access Point: 00:16:B6:43:DE:C4
>           Bit Rate=1 Mb/s   Tx-Power=18 dBm
>           RTS thr:off   Fragment thr:off
>           Encryption key:off
>           Link Quality=0/100  Signal level=-256 dBm  Noise level=-256 dBm
>           Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
>           Tx excessive retries:0  Invalid misc:0   Missed beacon:0

The received signal and noise levels should be fixed by the patch listed above.

Larry